﻿<!doctype html>
<html lang="en">
    <head>
    <meta charset="utf-8">
     <title>@ViewBag.Title</title>

    <!--[if lt IE 9]>
	<link rel="stylesheet" href="css/ie.css" type="text/css" media="screen" />
	<![endif]-->
    <script src="/Content/scripts/jquery.js"></script>
    <script type="text/javascript" src="/Scripts/jquery-migrate-1.0.0.js"></script>
    <script src="/Content/scripts/hideshow.js"></script>
    <script src="/Content/scripts/switcher.js"></script>
    <script src="/Content/scripts/jquerytablesortermin.js"></script>
    <script src="/Content/scripts/jquery.equalHeight.js"></script>
    <script src="/Content/scripts/ribbon.js"></script>
    <script src="/Content/scripts/jquerytooltipmin.js"></script>
    <script src="/Content/scripts/jsdesign.js"></script>
    <script src="/Content/scripts/jquery.toastmessage.js"></script>
    <script src="/Content/jqwidgets/jqxcore.js"></script>
    <script src="/Content/jqwidgets/jqxdata.js"></script>
    <script src="/Content/jqwidgets/jqxdata.export.js"></script>
    <script src="/Content/jqwidgets/jqxbuttons.js"></script>
    <script src="/Content/jqwidgets/jqxscrollbar.js"></script>
    <script src="/Content/jqwidgets/jqxcheckbox.js"></script>
    <script src="/Content/jqwidgets/jqxdropdownlist.js"></script>
    <script src="/Content/jqwidgets/jqxlistbox.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.columnsresize.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.filter.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.edit.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.grouping.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.aggregates.js"></script>
    <script src="/Content/jqwidgets/jqxmenu.js"></script>
    <script src="/Content/jqwidgets/jqxinput.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.sort.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.pager.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.selection.js"></script>
    <script src="/Content/jqwidgets/jqxgrid.export.js"></script>
    <script src="/Content/jqwidgets/jqxexpander.js"></script>
    <script src="/Content/jqwidgets/jqxtabs.js"></script>
    <script src="/Content/jqwidgets/jqxtooltip.js"></script>
    <script src="/Content/jqwidgets/jqxchart.js"></script>
    <script src="/Content/jqwidgets/jqxgauge.js"></script>
    <script src="/Content/jqwidgets/jqxnumberinput.js"></script>
    <script src="/Content/jqwidgets/jqxpanel.js"></script>
    <script src="/Content/jqwidgets/jqxtree.js"></script>
    <script src="/Content/jqwidgets/jqxvalidator.js"></script>
    <script src="/Content/jqwidgets/jqxwindow.js"></script>
    <script src="/Content/jqwidgets/jqxcalendar.js"></script>
    <script src="/Content/jqwidgets/jqxdatetimeinput.js"></script>
    <script src="/Content/jqwidgets/globalization/globalize.js"></script>
    <link rel="stylesheet" href="/Content/jqwidgets/styles/jqx.base.css">
    <link rel="stylesheet" href="/Content/jqwidgets/styles/jqx.ui-redmond.css">
    <link rel="stylesheet" href="/Content/site.css">
    <link rel="stylesheet" href="/Content/css/layout.css">
    <link rel="stylesheet" href="/Content/css/ribbon.css">
    <link rel="stylesheet" href="/Content/css/soft_button.css">
    <link rel="stylesheet" href="/Content/css/FiltreCSS.css">
    <link rel="stylesheet" href="/Content/jquery.toastmessage.css">
    <link rel="stylesheet" href="/Content/css/jquery-ui.min.css">
    <script src="/Content/js/jquery-ui-1.10.2.custom.min.js"></script>
    <script src="/Content/js/jquery-ui-timepicker-addon.js"></script>
    <link title="2col" href="/Content/css/2col.css" type="text/css" media="screen,projection" rel="stylesheet">
    <link title="1col" href="/Content/css/1col.css" type="text/css" media="screen,projection" rel="alternate stylesheet">
    <link media="screen,projection" href="/Content/css/advens.css" type="text/css" rel="stylesheet">
    <link media="screen,projection" href="/Content/css/arobase.css" type="text/css" rel="stylesheet">
    <link media="screen,projection" href="/Content/css/nobel.css" type="text/css" rel="stylesheet">
    <link media="screen,projection" href="/Content/css/nobel_orange.css" type="text/css" rel="stylesheet">
    <link media="screen,projection" href="/Content/css/nobeltel.css" type="text/css" rel="stylesheet">
    <link media="screen" href="/Content/css/screen.css" type="text/css" rel="stylesheet">
    <link href="/Content/font/css/font-awesome.css" rel="stylesheet">
    <!--[if IE 7]>
      <link rel="stylesheet" href="/Content/font/css/font-awesome-ie7.css">
      <![endif]-->
    <link rel="shortcut icon" href="/favicon.ico">
    <script type="text/javascript">
        $(function () {
            $('.column').equalHeight();
        });
    </script>
</head>
<body>

    <header id="header">
        <hgroup>
                @Html.Partial("fonctionalite")
        </hgroup>
    </header>
    <!-- end of header bar -->

    <section id="secondary_bar">
        <div class="user">
            <input class="logoo" type="hidden" value="/Content/bg.jpg" />
            <p>
                @if (Request.IsAuthenticated)
                {
                    string su = "";
                    var tab = Context.User.Identity.Name.Trim().Split(' ');
                    if (tab.Length >= 3)
                    {
                        su = tab[0] + "   " + tab[2];
                    }
                    else
                    {
                        if (tab.Length == 1)
                        {
                            su = tab[0];
                        }
                        else
                        {
                            su = tab[0] + "  " + tab[1];
                        }
                    }
                    @su
               }

                (<a id="ticketnombre" href='@Url.Action("Index", "Ticket")'>
                    Message(s)</a>)

            </p>
            <!-- <a class="logout_user" href="#" title="Logout">Logout</a> -->
        </div>
        <div class="breadcrumbs_container">
            <article class="breadcrumbs">
                @RenderSection("Site_Map", required: false)
            </article>
        </div>
        <div class="user others">
            <p class="logout"><a id="disconnet" href="/Login/Logout">Deconnexion</a></p>
            <!-- <a class="logout_user" href="#" title="Logout">Logout</a> -->
        </div>
        <div class="user others">
            <p class="even"><a href="#">Evenements(5)</a></p>
            <!-- <a class="logout_user" href="#" title="Logout">Logout</a> -->
        </div>
    </section>
    <!-- end of secondary bar -->

    <section id="main" class="column">
        <article class="module width_3_quarter">
            <header>
                <h3 class="tabs_involved">

                    @RenderSection("Titre", required: false)</h3>
            </header>
            @RenderSection("featured", required: false)
            <div id="contentajax">
                @RenderBody()
            </div>
        </article>
        <!-- end of content manager article -->

    </section>

    <script type="text/javascript">
        $(document).ready(function () {
            //empêche la mise en cache des resultats des requettes ajax
            $.ajaxSetup({ cache: false });
            $("#ribbon a,.user a,a[target='main'],.logo a").on("click", function (event) {
                if ($(this).attr("id") == "disconnet") {//pour le lien de déconnexion
                    window.location.href = $(this).attr('href');
                    return false;
                }
                if ($(this).attr("href").length == 0 || $(this).attr("href").length == 1)//vérouillé
                    return false;
                $("#ribbon div").removeClass("actif");
                $(this).find("#add-table-btn").addClass("actif");
                $("#loaderSpace,#loader").show();
                $('#UrlCourant').attr('value', $(this).attr('href')); // sauvegarde le lien de l'url charger
                $.ajax({
                    url: $(this).attr('href'), // le nom du fichier indiqué dans le formulaire
                    type: "GET", // la méthode indiquée dans le formulaire (get ou post)
                })
                .success(function (response) {
                    $.each(response, function (i, item) {
                        if (i == 0) {
                            $('#contentajax').html(item);
                        }
                        else if (i == 1)
                            $('.tabs_involved').html(item);
                        else
                            $(".breadcrumbs").html(item);
                    });
                    $("#loaderSpace,#loader").hide();

                })
                .error(function (jqXHR, exception) {
                    $("#loaderSpace,#loader").hide();
                    if (jqXHR.status === 0) {
                        alert('Not connect.\n Verify Network.');
                    } else if (jqXHR.status == 404) {
                        alert('Requested page not found. [404]');
                    } else if (jqXHR.status == 500) {
                        alert('Internal Server Error [500].');
                    } else if (exception === 'parsererror') {
                        alert('Requested JSON parse failed.');
                    } else if (exception === 'timeout') {
                        alert('Time out error.');
                    } else if (exception === 'abort') {
                        alert('Ajax request aborted.');
                    } else {
                        alert('Uncaught Error.\n' + jqXHR.responseText);
                    }
                });
                return false;
            });
            $("#loaderSpace,#loader").hide();

            Recharger = function () {
                $.ajax({
                    url: $('#UrlCourant').attr('value'), // le nom du fichier indiqué dans le formulaire
                    type: "GET", // la méthode indiquée dans le formulaire (get ou post)
                })
                .success(function (response) {
                    $.each(response, function (i, item) {
                        if (i == 0) {
                            $('#contentajax').html(item);
                        }
                        else if (i == 1)
                            $('.tabs_involved').html(item);
                        else
                            $(".breadcrumbs").html(item);
                    });
                    $("#loaderSpace,#loader").hide();

                })
                .error(function (jqXHR, exception) {
                    $("#loaderSpace,#loader").hide();
                    if (jqXHR.status === 0) {
                        alert('Not connect.\n Verify Network.');
                    } else if (jqXHR.status == 404) {
                        alert('Requested page not found. [404]');
                    } else if (jqXHR.status == 500) {
                        alert('Internal Server Error [500].');
                    } else if (exception === 'parsererror') {
                        alert('Requested JSON parse failed.');
                    } else if (exception === 'timeout') {
                        alert('Time out error.');
                    } else if (exception === 'abort') {
                        alert('Ajax request aborted.');
                    } else {
                        alert('Uncaught Error.\n' + jqXHR.responseText);
                    }
                });
                return false;
            };


        });
        var getLocalization = function () {
            var localizationobj = {};
            localizationobj.pagergotopagestring = "Aller à la page :";
            localizationobj.pagershowrowsstring = "Ligne à afficher :";
            localizationobj.pagerrangestring = " Sur ";
            localizationobj.pagernextbuttonstring = "Suivant";
            localizationobj.pagerpreviousbuttonstring = "Précedent";
            localizationobj.sortascendingstring = "Tri ascendant";
            localizationobj.sortdescendingstring = "Tri descendant";
            localizationobj.sortremovestring = "Supprimer le tri";
            localizationobj.firstDay = 1;
            localizationobj.emptydatastring = "Aucune donnée à afficher";
            localizationobj.percentsymbol = "%";
            localizationobj.currencysymbol = "GNF";
            localizationobj.currencysymbolposition = "after";
            localizationobj.decimalseparator = ",";
            localizationobj.thousandsseparator = " ";
            var days = {
                // full day names
                names: ["Dimanche", "Lundi", "Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi"],
                // abbreviated day names
                namesAbbr: ["Dim", "Lun", "Mar", "Mer", "Jeu", "Ven", "Sam"],
                // shortest day names
                namesShort: ["Di", "Lu", "Ma", "Me", "Je", "Ve", "Sa"]
            };
            localizationobj.days = days;
            var months = {
                // full month names (13 months for lunar calendards -- 13th month should be "" if not lunar)
                names: ["Javier", "Février", "Mars", "Avril", "Mai", "Juin", "Juillet", "Août", "Septembre", "Octobre", "Novembre", "Decembre", ""],
                // abbreviated month names
                namesAbbr: ["Jan", "Feb", "Mar", "Apr", "Mai", "Jui", "Juil", "Aoû", "Sep", "Oct", "Nov", "Dec", ""]
            };
            var patterns = {
                d: "dd.MM.yyyy",
                D: "dddd, d. MMMM yyyy",
                t: "HH:mm",
                T: "HH:mm:ss",
                f: "dddd, d. MMMM yyyy HH:mm",
                F: "dddd, d. MMMM yyyy HH:mm:ss",
                M: "dd MMMM",
                Y: "MMMM yyyy"
            }
            localizationobj.patterns = patterns;
            localizationobj.months = months;
            localizationobj.todaystring = "Today";
            localizationobj.clearstring = "Clear";
            localizationobj.filternumericcomparisonoperators = ['egale à', 'different de', 'inférieur à', 'inférieur ou égale à', 'supérieur à', 'supérieur ou égale à', 'null', 'non null'];

            return localizationobj;
        }
    </script>
    @RenderSection("scripts", required: false)
    <div id="popupform"></div>
    <div id="loaderSpace"></div>
    <div id="loader"></div>
    <input id="UrlCourant" value="" type="hidden" />
</body>
    <style>
       #ribbon .section-title
        {
           color:#FFF;
        }
    </style>
</html>